Batch generate upload paths
Run in Apidog
Generates storage destination paths for up to 500 files in a single request. Returns 400 with failed items in error.metadata if any path generation fails.
Request Body Params application/json Required
{
"items" : [
{
"nationalRegister" : "12345678000195" ,
"processUniqueId" : "bb0c892a-9695-414d-966b-c3cd66959067" ,
"type" : "NFE" ,
"fileName" : "documento_nfe_1.xml" ,
"force" : false
} ,
{
"nationalRegister" : "12345678000195" ,
"processUniqueId" : "bb0c892a-9695-414d-966b-c3cd66959067" ,
"type" : "NFE" ,
"fileName" : "documento_nfe_2.xml" ,
"force" : false
}
]
} Request Code Samples
curl --location --request POST 'https://hom.roit.ai/roit-data-integration/v1/data/batch-generate-upload-path' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data-raw '{
"items": [
{
"nationalRegister": "12345678000195",
"processUniqueId": "bb0c892a-9695-414d-966b-c3cd66959067",
"type": "NFE",
"fileName": "documento_nfe_1.xml",
"force": false
},
{
"nationalRegister": "12345678000195",
"processUniqueId": "bb0c892a-9695-414d-966b-c3cd66959067",
"type": "NFE",
"fileName": "documento_nfe_2.xml",
"force": false
}
]
}' Responses application/json
Batch upload paths generated successfully
{
"status" : "success" ,
"message" : "Batch upload path generated successfully for 2 items" ,
"data" : [
{
"bucket" : "my-upload-bucket" ,
"blobPath" : "bb0c892a-9695-414d-966b-c3cd66959067/12345678000195/NFE/documento_nfe_1.xml" ,
"fileName" : "documento_nfe_1.xml" ,
"processUniqueId" : "bb0c892a-9695-414d-966b-c3cd66959067"
} ,
{
"bucket" : "my-upload-bucket" ,
"blobPath" : "bb0c892a-9695-414d-966b-c3cd66959067/12345678000195/NFE/documento_nfe_2.xml" ,
"fileName" : "documento_nfe_2.xml" ,
"processUniqueId" : "bb0c892a-9695-414d-966b-c3cd66959067"
}
]
}
Modified at 2026-04-02 20:52:38